% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/regroupR.R
\name{regroupR}
\alias{regroupR}
\title{Regroup faulty grouped peaks}
\usage{
regroupR(grouped.peaks, list.to.regroup, min.samp.grp = 1,
  max.dupli.prop = 0.1, maxClust = 10)
}
\arguments{
\item{grouped.peaks}{The grouped peaks data.}

\item{list.to.regroup}{The peak indices of groups to regroup (the groups, indicated by their peakIndex, in 1 list item will be merged and regrouped).}

\item{min.samp.grp}{The minimal amount of samples needed to form a group.}

\item{max.dupli.prop}{The maximal duplication proportion allowed for a group to be considered a single group.}

\item{maxClust}{The maximum number of clusters (depth of the tree).}
}
\value{
Returns a data frame with regrouped peaks.
}
\description{
If there are peaks wrongly grouped by the peakGrouper function, they will be regrouped by using the ppm values together with the peak signal to noise ratio.
}
\author{
Charlie Beirnaert, \email{charlie.beirnaert@uantwerpen.be}
}
